<ui:composition
        xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://xmlns.jcp.org/jsf/core">
    <div class="form-group #{invalid?'has-error has-feedback':''} #{styleClass == null ? '' : styleClass}">
        <label class="control-label" for="#{id}">
            <ui:insert name="label"/>
            <gazelle:span styleClass="required" rendered="#{rendered == null ? false : rendered}"> *</gazelle:span>
        </label>
        <!--<h:validateBean>-->
            <ui:insert/>
        <!--</h:validateBean>-->
        <h:message for="#{id}" errorClass="gzl-text-red" warnClass="gzl-text-orange"
                   infoClass="gzl-text-green"/>
    </div>
</ui:composition>